curl --request POST \
--url https://api.sandbox.tesouro.com/embedded-banking/v1/credit-card-applications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"applicant": {
"authentication": {
"password": "<string>"
},
"birthDate": "2023-12-25",
"firstName": "<string>",
"hasAcceptedDisclosures": true,
"homeAddress": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"countryCode": "AFG",
"postalCode": "<string>",
"state": "<string>"
},
"isLegallyAuthorized": true,
"lastName": "<string>",
"mobilePhoneNumber": "<string>",
"ownershipPercentage": 123,
"personalIdentificationNumber": {
"type": "SSN",
"value": "<string>"
},
"workEmailAddress": "<string>"
},
"businessDetails": {
"address": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"countryCode": "AFG",
"postalCode": "<string>",
"state": "<string>"
},
"annualBusinessRevenue": 123,
"businessStructureType": "CORPORATION_PUBLIC",
"companyType": "<string>",
"dbaName": "<string>",
"estimatedMonthlySpend": 123,
"formationDate": "2023-12-25",
"legalName": "<string>",
"northAmericanIndustryClassificationSystemCode": "SOYBEAN_FARMING",
"numberOfEmployees": 123,
"ownership": "<string>",
"phoneNumber": "<string>",
"taxId": {
"type": "EIN",
"value": "<string>"
},
"website": "<string>"
},
"businessOwners": [
{
"birthDate": "2023-12-25",
"firstName": "<string>",
"homeAddress": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"countryCode": "AFG",
"postalCode": "<string>",
"state": "<string>"
},
"lastName": "<string>",
"mobilePhoneNumber": "<string>",
"ownershipPercentage": 123,
"personalIdentificationNumber": {
"type": "SSN",
"value": "<string>"
}
}
]
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applicant": {
"birthDate": "2023-12-25",
"disclosuresAcceptedAtDateTime": "2023-11-07T05:31:56Z",
"firstName": "<string>",
"hasAcceptedDisclosures": true,
"homeAddress": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"countryCode": "AFG",
"postalCode": "<string>",
"state": "<string>"
},
"isLegallyAuthorized": true,
"lastName": "<string>",
"mobilePhoneNumber": "<string>",
"ownershipPercentage": 123,
"workEmailAddress": "<string>"
},
"businessDetails": {
"address": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"countryCode": "AFG",
"postalCode": "<string>",
"state": "<string>"
},
"annualBusinessRevenue": 123,
"businessStructureType": "CORPORATION_PUBLIC",
"companyType": "<string>",
"dbaName": "<string>",
"estimatedMonthlySpend": 123,
"legalName": "<string>",
"northAmericanIndustryClassificationSystemCode": "SOYBEAN_FARMING",
"numberOfEmployees": 123,
"ownership": "<string>",
"phoneNumber": "<string>",
"website": "<string>"
},
"businessOwners": [
{
"birthDate": "2023-12-25",
"firstName": "<string>",
"homeAddress": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"countryCode": "AFG",
"postalCode": "<string>",
"state": "<string>"
},
"lastName": "<string>",
"mobilePhoneNumber": "<string>",
"ownershipPercentage": 123
}
],
"clientSecret": "<string>"
}Creates a new application to apply for an embedded credit card with optional applicant details, business details, and/or business owners.
Token types: APP | Required scopes: embedded:creditcardapplication:write
curl --request POST \
--url https://api.sandbox.tesouro.com/embedded-banking/v1/credit-card-applications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"applicant": {
"authentication": {
"password": "<string>"
},
"birthDate": "2023-12-25",
"firstName": "<string>",
"hasAcceptedDisclosures": true,
"homeAddress": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"countryCode": "AFG",
"postalCode": "<string>",
"state": "<string>"
},
"isLegallyAuthorized": true,
"lastName": "<string>",
"mobilePhoneNumber": "<string>",
"ownershipPercentage": 123,
"personalIdentificationNumber": {
"type": "SSN",
"value": "<string>"
},
"workEmailAddress": "<string>"
},
"businessDetails": {
"address": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"countryCode": "AFG",
"postalCode": "<string>",
"state": "<string>"
},
"annualBusinessRevenue": 123,
"businessStructureType": "CORPORATION_PUBLIC",
"companyType": "<string>",
"dbaName": "<string>",
"estimatedMonthlySpend": 123,
"formationDate": "2023-12-25",
"legalName": "<string>",
"northAmericanIndustryClassificationSystemCode": "SOYBEAN_FARMING",
"numberOfEmployees": 123,
"ownership": "<string>",
"phoneNumber": "<string>",
"taxId": {
"type": "EIN",
"value": "<string>"
},
"website": "<string>"
},
"businessOwners": [
{
"birthDate": "2023-12-25",
"firstName": "<string>",
"homeAddress": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"countryCode": "AFG",
"postalCode": "<string>",
"state": "<string>"
},
"lastName": "<string>",
"mobilePhoneNumber": "<string>",
"ownershipPercentage": 123,
"personalIdentificationNumber": {
"type": "SSN",
"value": "<string>"
}
}
]
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applicant": {
"birthDate": "2023-12-25",
"disclosuresAcceptedAtDateTime": "2023-11-07T05:31:56Z",
"firstName": "<string>",
"hasAcceptedDisclosures": true,
"homeAddress": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"countryCode": "AFG",
"postalCode": "<string>",
"state": "<string>"
},
"isLegallyAuthorized": true,
"lastName": "<string>",
"mobilePhoneNumber": "<string>",
"ownershipPercentage": 123,
"workEmailAddress": "<string>"
},
"businessDetails": {
"address": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"countryCode": "AFG",
"postalCode": "<string>",
"state": "<string>"
},
"annualBusinessRevenue": 123,
"businessStructureType": "CORPORATION_PUBLIC",
"companyType": "<string>",
"dbaName": "<string>",
"estimatedMonthlySpend": 123,
"legalName": "<string>",
"northAmericanIndustryClassificationSystemCode": "SOYBEAN_FARMING",
"numberOfEmployees": 123,
"ownership": "<string>",
"phoneNumber": "<string>",
"website": "<string>"
},
"businessOwners": [
{
"birthDate": "2023-12-25",
"firstName": "<string>",
"homeAddress": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"countryCode": "AFG",
"postalCode": "<string>",
"state": "<string>"
},
"lastName": "<string>",
"mobilePhoneNumber": "<string>",
"ownershipPercentage": 123
}
],
"clientSecret": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the organization to perform this operation on behalf of. Required for BANK and PLATFORM app token callers targeting a specific organization. If omitted, the request uses the authenticated caller's own organization. Must be a valid non-empty UUID. Present but malformed values return 400.
Request model for creating a new credit card application.
Optional applicant details for the credit card application.
Show child attributes
Optional business details, including credit-card-specific underwriting fields.
Show child attributes
Optional list of business owners to add to the application.
Show child attributes
Application created successfully.
Unique identifier for the credit card application.
Applicant information for the credit card application.
Show child attributes
Business details associated with the application.
Show child attributes
List of business owners associated with the application.
Show child attributes
Was this page helpful?